<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<title>Bootstrap Grid System</title>

		<!-- BootstrapLink -->	
		<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">

	</head>
	<body class="text-center">

		<h1>Bootstrap Grid System</h1>

		<!-- Two Columns -->
		<h2>Two Columns</h2>
		<div class="container-fluid">

			<!-- Row with two equal columns -->
			<h3>1:1 Ratio</h3>
			<div class="text-light row">
				<div class="bg-primary col-6 pt-3 pb-3 border border-dark">6 Col</div>
				<div class="bg-secondary col-6 pt-3 pb-3 border border-dark">6 Col</div>
			</div>
			<br>
			<!-- Row with two columns divided in 1:2 ratio -->
			<h3>1:2 Ratio</h3>
			<div class="text-light row">
				<div class="bg-primary col-4 pt-3 pb-3 border border-dark">4 Col</div>
				<div class="bg-secondary col-8 pt-3 pb-3 border border-dark">8 Col</div>
			</div>
			<br>
			<h3>1:3 Ratio</h3>
			<div class="text-light row">
				<div class="bg-primary col-3 pt-3 pb-3 border border-dark">3 Col</div>
				<div class="bg-secondary col-9 pt-3 pb-3 border border-dark">9 Col</div>
			</div>
		</div>
		<!-- Two Columns End Here -->

		<!-- Three Columns Start -->
		<br><br><br>
		<h2>Three Columns</h2>
		<div class="container-fluid">
			<!-- Row with 3 equal columns -->
			<h3>1:1:1 Ratio</h3>
			<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border border-dark col-4">4 Col</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col-4">4 Col</div>
				<div class="bg-info pt-3 pb-3 border border-dark col-4">4 Col</div>
			</div><br>
			
			<!-- Row with 3 columns divided in an uneven ratio -->
			<h3>Uneven Ratio</h3>
			<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border border-dark col-2">2 Col</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col-7">7 Col</div>
				<div class="bg-info pt-3 pb-3 border border-dark col-3">3 Col</div>
			</div><br>

			<!-- Row with three columns divided in 1:2:1 ratio -->
			<h3>1:2:1</h3>
			<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border border-dark col-3">3 Col</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col-6">6 Col</div>
				<div class="bg-info pt-3 pb-3 border border-dark col-3">3 Col</div>
			</div>
		</div><br>	
		<!-- Three Columns End -->

		<!-- Automatic Sizing Start -->
		<h2>Automatic Sizing</h2>
		<div class="container-fluid">
			<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border border-dark col">Auto</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col">Auto</div>
				<div class="bg-primary pt-3 pb-3 border border-dark col">Auto</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col">Auto</div>
				<div class="bg-primary pt-3 pb-3 border border-dark col">Auto</div>
			</div>
		</div> <br>
		<!-- Automatic Sizing End -->

		<!-- Mobile Responsive Columns Start-->
		<h2>Mobile Responsive Columns</h2>
		<div class="container-fluid">
			<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border border-dark col-lg-2 col-md-4 col-sm-6">Responsive</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col-lg-10 col-md-8 col-sm-6">Responsive</div>
			</div>
		</div><br>
		<!-- Mobile Responsive Columns End-->

		<!-- Multi-Column Layouts -->
		<h2>Multi-Column Layouts</h2>
		<div class="container-fluid">
			<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog 1</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col-4">Catalog 2</div>
				<div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog 3</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col-4">Catalog 4</div>
				<div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog 5</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col-4">Catalog 6</div>
			</div>
		</div> <br>

		<!-- Multi-Column Layouts End -->

		

		<!-- Offseting Columns -->
		<h2>Offseting Columns</h2>
		<div class="container-fluid">
			<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border border-dark col-6 offset-2">Offset Column</div>
				<div class="bg-primary pt-3 pb-3 border border-dark offset-md-3 col-6">Offset Column</div>
				<div class="bg-primary pt-3 pb-3 border border-dark offset-lg-4 col-6">Offset Column</div>
			</div>
		</div> <br>
		<!-- Offsetting Columns End -->

		<!-- Column Orders -->
		<h2>Column Orders</h2>
		<div class="container-fluid">
			<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border border-dark col order-2 order-md-1">Left</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col order-1 order-md-2">Right</div>
			</div>
		</div>
		<!-- Column Order End -->





		<!-- JS bootstrap -->
		<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
		<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>
		<!-- CRC = Container > Rows > Columns [Grid Nesting Rule] -->
	</body>
</html>